> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order tracking

> Retrieve completion estimates, marker progress, and ETA revisions for an order.

> [!NOTE]
>
> Coming soon. Interested in this feature? Get in touch with your Customer Success Manager.

```bash cURL theme={null}
curl --request GET \
     --url '{{BASE_URL}}/v3/order/<order_id>/tracking' \
     --header 'accept: application/json' \
     --header 'x-vital-api-key: YOUR_API_KEY'
```

```json Response theme={null}
{
  "order_id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
  "expected_at": {
    "final_results": {
      "original_estimate": "2026-10-24T17:00:00Z",
      "current_estimate": "2026-10-26T17:00:00Z"
    }
  },
  "collected_at": {
    "collected_at": "2026-10-20T09:00:00Z",
    "is_inferred": false,
    "inferred_from": null
  },
  "markers": [
    {
      "id": 1,
      "name": "Hemoglobin A1c",
      "slug": "hemoglobin-a1c",
      "provider_id": "1234",
      "status": "pending",
      "expected_at": {
        "original_estimate": "2026-10-24T17:00:00Z",
        "current_estimate": "2026-10-26T17:00:00Z"
      },
      "results": [
        {
          "id": 101,
          "name": "Hemoglobin A1c",
          "slug": "hemoglobin-a1c",
          "provider_id": "1234"
        }
      ]
    }
  ],
  "updates": [
    {
      "created_at": "2026-10-22T10:00:00Z",
      "reason": "The lab needs additional processing time.",
      "revised_estimate": "2026-10-26T17:00:00Z",
      "source": "lab",
      "impacted_markers": [
        {
          "id": 1,
          "name": "Hemoglobin A1c",
          "provider_id": "1234",
          "estimates": {
            "original_estimate": "2026-10-24T17:00:00Z",
            "current_estimate": "2026-10-26T17:00:00Z"
          }
        }
      ]
    }
  ]
}
```


## OpenAPI

````yaml GET /v3/order/{order_id}/tracking
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.5.16
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/order/{order_id}/tracking:
    get:
      tags:
        - order
      summary: Get Order Tracking
      description: Get current estimates and immutable ETA update history for an order.
      operationId: get_order_tracking_v3_order__order_id__tracking_get
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Your Order ID.
            title: Order Id
          description: Your Order ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderTracking'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrderTracking:
      properties:
        order_id:
          type: string
          format: uuid
          title: Order Id
        expected_at:
          $ref: '#/components/schemas/OrderTrackingExpectedAt'
        collected_at:
          anyOf:
            - $ref: '#/components/schemas/OrderTrackingCollection'
            - type: 'null'
        markers:
          items:
            $ref: '#/components/schemas/OrderTrackingMarker'
          type: array
          title: Markers
        updates:
          items:
            $ref: '#/components/schemas/OrderTrackingUpdate'
          type: array
          title: Updates
      type: object
      required:
        - order_id
        - expected_at
        - collected_at
        - markers
        - updates
      title: OrderTracking
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    OrderTrackingExpectedAt:
      properties:
        final_results:
          $ref: '#/components/schemas/OrderTrackingEstimate'
      type: object
      required:
        - final_results
      title: OrderTrackingExpectedAt
    OrderTrackingCollection:
      properties:
        collected_at:
          type: string
          format: date-time
          title: Collected At
        is_inferred:
          type: boolean
          title: Is Inferred
        inferred_from:
          anyOf:
            - $ref: '#/components/schemas/CollectionInferenceSource'
            - type: 'null'
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - collected_at
        - is_inferred
        - inferred_from
      title: OrderTrackingCollection
    OrderTrackingMarker:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
        status:
          $ref: '#/components/schemas/OrderMarkerTrackingStatus'
          description: ℹ️ This enum is non-exhaustive.
        expected_at:
          $ref: '#/components/schemas/OrderTrackingEstimate'
        results:
          items:
            $ref: '#/components/schemas/OrderTrackingResultMarker'
          type: array
          title: Results
      type: object
      required:
        - id
        - name
        - slug
        - provider_id
        - status
        - expected_at
        - results
      title: OrderTrackingMarker
    OrderTrackingUpdate:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        revised_estimate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revised Estimate
        impacted_markers:
          items:
            $ref: '#/components/schemas/OrderTrackingImpactedMarker'
          type: array
          title: Impacted Markers
        source:
          $ref: '#/components/schemas/EtaUpdateSource'
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - created_at
        - reason
        - revised_estimate
        - impacted_markers
        - source
      title: OrderTrackingUpdate
    OrderTrackingEstimate:
      properties:
        original_estimate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Original Estimate
        current_estimate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Estimate
      type: object
      required:
        - original_estimate
        - current_estimate
      title: OrderTrackingEstimate
    CollectionInferenceSource:
      type: string
      enum:
        - lab_arrival
        - lab_accessioning
        - scheduled_appointment
        - dispatch_date
      title: CollectionInferenceSource
      description: ℹ️ This enum is non-exhaustive.
    OrderMarkerTrackingStatus:
      type: string
      enum:
        - pending
        - incomplete
        - resulted
      title: OrderMarkerTrackingStatus
      description: ℹ️ This enum is non-exhaustive.
    OrderTrackingResultMarker:
      properties:
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
      type: object
      required:
        - id
        - name
        - slug
        - provider_id
      title: OrderTrackingResultMarker
    OrderTrackingImpactedMarker:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
        estimates:
          $ref: '#/components/schemas/OrderTrackingEstimate'
      type: object
      required:
        - id
        - name
        - provider_id
        - estimates
      title: OrderTrackingImpactedMarker
    EtaUpdateSource:
      type: string
      enum:
        - lab
        - junction
        - patient
      title: EtaUpdateSource
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````

## Related topics

- [Turnaround Times](https://docs.junction.com/lab/overview/turnaround-times.md)
- [Get Orders](https://docs.junction.com/api-reference/lab-testing/get-orders.md)
- [Get Order](https://docs.junction.com/api-reference/lab-testing/get-order.md)
- [Get Order Transaction](https://docs.junction.com/api-reference/lab-testing/order-transactions/get-order-transaction.md)
- [labtest.order_tracking.updated](https://docs.junction.com/event-catalog/labtest.order_tracking.updated.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.